Index: apps/app_queue.c
===================================================================
--- apps/app_queue.c	(revision 100095)
+++ apps/app_queue.c	(working copy)
@@ -3964,7 +3964,13 @@
 			}
 
 			ast_debug(1, "Reload Members: Queue: %s  Member: %s  Name: %s  Penalty: %d  Paused: %d\n", queue_name, interface, membername, penalty, paused);
-			
+		
+			if (!state_interface) {
+                                ast_log(LOG_WARNING, "Error parsing persistent member string for '%s' (state_interface)\n", queue_name);
+                                break;
+                        }
+
+	
 			if (add_to_queue(queue_name, interface, membername, penalty, paused, 0, state_interface) == RES_OUTOFMEMORY) {
 				ast_log(LOG_ERROR, "Out of Memory when reloading persistent queue member\n");
 				break;
